[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
binutils-2.18 on Solaris 2.6 - ld_elf32_sparc_emulation
From: |
Gary E. Barnes |
Subject: |
binutils-2.18 on Solaris 2.6 - ld_elf32_sparc_emulation |
Date: |
Mon, 12 Nov 2007 11:39:18 -0800 |
The ld-new executable (module ldemul.o) expects ld_elf32_sparc_emulation to
come from somewhere. It apparently does not exist. The only two places in
the source code where that name is present are both in ldemul-list.h.
./ld/ldemul-list.h:2:extern ld_emulation_xfer_type ld_elf32_sparc_emulation;
./ld/ldemul-list.h:5: &ld_elf32_sparc_emulation, \
Here is the make output.
gcc -DHAVE_CONFIG_H -I. -I.././ld -I. -D_GNU_SOURCE -I. -I.././ld -I../bfd
-I.././ld/../bfd -I.././ld/../include -g -O2
-DLOCALEDIR="\"/accts/fumar.a/reroot/sun4_solaris2/share/locale\"" -W -Wall
-Wstrict-prototypes -Wmissing-prototypes -Werror -g -O2 -c eelf32_sparc.c
/bin/bash ./libtool --tag=CC --mode=link gcc -W -Wall -Wstrict-prototypes
-Wmissing-prototypes -Werror -g -O2 -L/accts/fumar.a/reroot/sun4_solaris2/lib
-o ld-new ldgram.o ldlex.o lexsup.o ldlang.o mri.o ldctor.o ldmain.o ldwrite.o
ldexp.o ldemul.o ldver.o ldmisc.o ldfile.o ldcref.o sha1.o eelf32_sparc.o
../bfd/libbfd.la ../libiberty/libiberty.a
libtool: link: gcc -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Werror -g
-O2 -o ld-new ldgram.o ldlex.o lexsup.o ldlang.o mri.o ldctor.o ldmain.o
ldwrite.o ldexp.o ldemul.o ldver.o ldmisc.o ldfile.o ldcref.o sha1.o
eelf32_sparc.o -L/accts/fumar.a/reroot/sun4_solaris2/lib ../bfd/.libs/libbfd.a
../libiberty/libiberty.a
Undefined first referenced
symbol in file
ld_elf32_sparc_emulation ldemul.o
ld: fatal: Symbol referencing errors. No output written to ld-new
collect2: ld returned 1 exit status
make[3]: *** [ld-new] Error 1
make[3]: Leaving directory `/accts/swift.b/gnu/binutils-2.18/ld'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/accts/swift.b/gnu/binutils-2.18/ld'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/accts/swift.b/gnu/binutils-2.18/ld'
make: *** [all-ld] Error 2
*** Error code 2
make: Fatal error: Command failed for target `all'
Here is the config.status
------------------------------------------------------------------------------
#! /bin/bash
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.
debug=false
ac_cs_recheck=false
ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/bash}
## --------------------- ##
## M4sh Initialization. ##
## --------------------- ##
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"'
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
DUALCASE=1; export DUALCASE # for MKS sh
# Support unset when possible.
if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
as_unset=unset
else
as_unset=false
fi
# Work around bugs in pre-3.0 UWIN ksh.
$as_unset ENV MAIL MAILPATH
PS1='$ '
PS2='> '
PS4='+ '
# NLS nuisances.
for as_var in \
LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
LC_TELEPHONE LC_TIME
do
if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
eval $as_var=C; export $as_var
else
$as_unset $as_var
fi
done
# Required to use basename.
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
as_basename=basename
else
as_basename=false
fi
# Name of the executable.
as_me=`$as_basename "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
X"$0" : 'X\(//\)$' \| \
X"$0" : 'X\(/\)$' \| \
. : '\(.\)' 2>/dev/null ||
echo X/"$0" |
sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
/^X\/\(\/\/\)$/{ s//\1/; q; }
/^X\/\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
# PATH needs CR, and LINENO needs CR and PATH.
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits
# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
echo "#! /bin/sh" >conf$$.sh
echo "exit 0" >>conf$$.sh
chmod +x conf$$.sh
if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conf$$.sh
fi
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" || {
# Find who we are. Look in the path if we contain no path at all
# relative or not.
case $0 in
*[\\/]* ) as_myself=$0 ;;
*) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done
;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
as_myself=$0
fi
if test ! -f "$as_myself"; then
{ { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute
path" >&5
echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
{ (exit 1); exit 1; }; }
fi
case $CONFIG_SHELL in
'')
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for as_base in sh bash ksh sh5; do
case $as_dir in
/*)
if ("$as_dir/$as_base" -c '
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
$as_unset BASH_ENV || test "${BASH_ENV+set}" != set || {
BASH_ENV=; export BASH_ENV; }
$as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
CONFIG_SHELL=$as_dir/$as_base
export CONFIG_SHELL
exec "$CONFIG_SHELL" "$0" ${1+"$@"}
fi;;
esac
done
done
;;
esac
# Create $as_me.lineno as a copy of $as_myself, but with $LINENO
# uniformly replaced by the line number. The first 'sed' inserts a
# line-number line before each line; the second 'sed' does the real
# work. The second script uses 'N' to pair each line-number line
# with the numbered line, and appends trailing '-' during
# substitution so that $LINENO is not a special case at line end.
# (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
# second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
sed '=' <$as_myself |
sed '
N
s,$,-,
: loop
s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
t loop
s,-$,,
s,^['$as_cr_digits']*\n,,
' >$as_me.lineno &&
chmod +x $as_me.lineno ||
{ { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a
POSIX shell" >&5
echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell"
>&2;}
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensible to this).
. ./$as_me.lineno
# Exit status is that of the last command.
exit
}
case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
*c*,-n*) ECHO_N= ECHO_C='
' ECHO_T=' ' ;;
*c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
*) ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
else
as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file
if mkdir -p . 2>/dev/null; then
as_mkdir_p=:
else
test -d ./-p && rmdir ./-p
as_mkdir_p=false
fi
as_executable_p="test -f"
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" $as_nl"
# CDPATH.
$as_unset CDPATH
exec 6>&1
# Open the log real soon, to keep \$[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling. Logging --version etc. is OK.
exec 5>>config.log
{
echo
sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
} >&5
cat >&5 <<_CSEOF
This file was extended by $as_me, which was
generated by GNU Autoconf 2.59. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
$ $0 $@
_CSEOF
echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
echo >&5
config_files=" Makefile"
ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number, then exit
-q, --quiet do not print progress messages
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
Configuration files:
$config_files
Report bugs to <address@hidden>."
ac_cs_version="\
config.status
configured by ./configure, generated by GNU Autoconf 2.59,
with options \"'--prefix=/accts/fumar.a/reroot/sun4_solaris2' '--disable-nls'
'CPPFLAGS=-I/accts/fumar.a/reroot/sun4_solaris2/include'
'LDFLAGS=-L/accts/fumar.a/reroot/sun4_solaris2/lib'\"
Copyright (C) 2003 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/ned/gnu/emacs.ss/emacs-20.7.wrk/install.sh -c"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
ac_shift=:
;;
-*)
ac_option=$1
ac_optarg=$2
ac_shift=shift
;;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_option=$1
ac_need_defaults=false;;
esac
case $ac_option in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
ac_cs_recheck=: ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:$LINENO: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
$ac_shift
CONFIG_FILES="$CONFIG_FILES $ac_optarg"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
$ac_shift
CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
ac_need_defaults=false;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil | --si | --s)
ac_cs_silent=: ;;
# This is an error.
-*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift
done
ac_configure_extra_args=
if $ac_cs_silent; then
exec 6>/dev/null
ac_configure_extra_args="$ac_configure_extra_args --silent"
fi
if $ac_cs_recheck; then
echo "running /bin/bash ./configure "
'--prefix=/accts/fumar.a/reroot/sun4_solaris2' '--disable-nls'
'CPPFLAGS=-I/accts/fumar.a/reroot/sun4_solaris2/include'
'LDFLAGS=-L/accts/fumar.a/reroot/sun4_solaris2/lib' $ac_configure_extra_args "
--no-create --no-recursion" >&6
exec /bin/bash ./configure '--prefix=/accts/fumar.a/reroot/sun4_solaris2'
'--disable-nls' 'CPPFLAGS=-I/accts/fumar.a/reroot/sun4_solaris2/include'
'LDFLAGS=-L/accts/fumar.a/reroot/sun4_solaris2/lib' $ac_configure_extra_args
--no-create --no-recursion
fi
for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
fi
# Have a temporary directory for convenience. Make it in the build tree
# simply because there is no reason to put it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
{
tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
test -n "$tmp" && test -d "$tmp"
} ||
{
tmp=./confstat$$-$RANDOM
(umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in ." >&2
{ (exit 1); exit 1; }
}
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/bash,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/accts/fumar.a/reroot/sun4_solaris2,;t t
s,@program_transform_name@,s,y,y,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" ,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@LIBS@,,;t t
s,@build@,sparc-sun-solaris2.6,;t t
s,@build_cpu@,sparc,;t t
s,@build_vendor@,sun,;t t
s,@build_os@,solaris2.6,;t t
s,@build_noncanonical@,sparc-sun-solaris2.6,;t t
s,@host_noncanonical@,sparc-sun-solaris2.6,;t t
s,@target_noncanonical@,sparc-sun-solaris2.6,;t t
s,@host@,sparc-sun-solaris2.6,;t t
s,@host_cpu@,sparc,;t t
s,@host_vendor@,sun,;t t
s,@host_os@,solaris2.6,;t t
s,@target@,sparc-sun-solaris2.6,;t t
s,@target_cpu@,sparc,;t t
s,@target_vendor@,sun,;t t
s,@target_os@,solaris2.6,;t t
s,@INSTALL_PROGRAM@,${INSTALL},;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@LN@,ln,;t t
s,@LN_S@,ln -s,;t t
s,@TOPLEVEL_CONFIGURE_ARGUMENTS@,./configure
--prefix=/accts/fumar.a/reroot/sun4_solaris2 --disable-nls,;t t
s,@build_libsubdir@,build-sparc-sun-solaris2.6,;t t
s,@build_subdir@,build-sparc-sun-solaris2.6,;t t
s,@host_subdir@,.,;t t
s,@target_subdir@,sparc-sun-solaris2.6,;t t
s,@CC@,gcc,;t t
s,@CFLAGS@,-g -O2,;t t
s,@LDFLAGS@,-L/accts/fumar.a/reroot/sun4_solaris2/lib,;t t
s,@CPPFLAGS@,-I/accts/fumar.a/reroot/sun4_solaris2/include,;t t
s,@ac_ct_CC@,gcc,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CXX@,g++,;t t
s,@CXXFLAGS@,,;t t
s,@ac_ct_CXX@,g++,;t t
s,@GNATBIND@,no,;t t
s,@ac_ct_GNATBIND@,no,;t t
s,@GNATMAKE@,no,;t t
s,@ac_ct_GNATMAKE@,no,;t t
s,@do_compare@,cmp --ignore-initial=16 $$f1 $$f2,;t t
s,@gmplibs@,-lmpfr -lgmp,;t t
s,@gmpinc@,,;t t
s,@stage1_languages@,,c,,;t t
s,@SYSROOT_CFLAGS_FOR_TARGET@,,;t t
s,@RPATH_ENVVAR@,LD_LIBRARY_PATH,;t t
s,@tooldir@,${exec_prefix}/sparc-sun-solaris2.6,;t t
s,@build_tooldir@,${exec_prefix}/sparc-sun-solaris2.6,;t t
s,@CONFIGURE_GDB_TK@,,;t t
s,@GDB_TK@,,;t t
s,@INSTALL_GDB_TK@,,;t t
s,@build_configargs@,--cache-file=../config.cache
'--prefix=/accts/fumar.a/reroot/sun4_solaris2' '--disable-nls'
--program-transform-name='s,y,y,',;t t
s,@build_configdirs@, libiberty,;t t
s,@host_configargs@,--cache-file=./config.cache --with-gnu-as --with-gnu-ld
'--prefix=/accts/fumar.a/reroot/sun4_solaris2' '--disable-nls'
--program-transform-name='s,y,y,',;t t
s,@configdirs@, intl libiberty opcodes bfd binutils gas ld gprof etc,;t t
s,@target_configargs@,--cache-file=./config.cache --enable-multilib
'--prefix=/accts/fumar.a/reroot/sun4_solaris2' '--disable-nls'
--program-transform-name='s,y,y,',;t t
s,@CC_FOR_BUILD@,$(CC),;t t
s,@config_shell@,/bin/bash,;t t
s,@YACC@,bison -y,;t t
s,@BISON@,bison,;t t
s,@M4@,m4,;t t
s,@LEX@,flex,;t t
s,@FLEX@,flex,;t t
s,@MAKEINFO@,/accts/swift.b/gnu/binutils-2.18/missing makeinfo,;t t
s,@EXPECT@,expect,;t t
s,@RUNTEST@,runtest,;t t
s,@AR@,ar,;t t
s,@AS@,as,;t t
s,@DLLTOOL@,dlltool,;t t
s,@LD@,/usr/ccs/bin/ld,;t t
s,@LIPO@,lipo,;t t
s,@NM@,nm,;t t
s,@RANLIB@,ranlib,;t t
s,@STRIP@,strip,;t t
s,@WINDRES@,windres,;t t
s,@WINDMC@,windmc,;t t
s,@OBJCOPY@,objcopy,;t t
s,@OBJDUMP@,objdump,;t t
s,@CFLAGS_FOR_BUILD@,-g -O2,;t t
s,@CC_FOR_TARGET@,$(CC),;t t
s,@CXX_FOR_TARGET@,$(CXX),;t t
s,@GCC_FOR_TARGET@,$(),;t t
s,@GCJ_FOR_TARGET@,$(GCJ),;t t
s,@GFORTRAN_FOR_TARGET@,$(GFORTRAN),;t t
s,@AR_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/ar,;t t
s,@AS_FOR_TARGET@,$$r/$(HOST_SUBDIR)/gas/as-new,;t t
s,@DLLTOOL_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/dlltool,;t t
s,@LD_FOR_TARGET@,$$r/$(HOST_SUBDIR)/ld/ld-new,;t t
s,@LIPO_FOR_TARGET@,$(LIPO),;t t
s,@NM_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/nm-new,;t t
s,@OBJDUMP_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/objdump,;t t
s,@RANLIB_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/ranlib,;t t
s,@STRIP_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/strip,;t t
s,@WINDRES_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/windres,;t t
s,@WINDMC_FOR_TARGET@,$$r/$(HOST_SUBDIR)/binutils/windmc,;t t
s,@RAW_CXX_FOR_TARGET@,$(CXX),;t t
s,@FLAGS_FOR_TARGET@, -L$$r/$(HOST_SUBDIR)/ld,;t t
s,@COMPILER_AS_FOR_TARGET@,$(AS_FOR_TARGET),;t t
s,@COMPILER_LD_FOR_TARGET@,$(LD_FOR_TARGET),;t t
s,@COMPILER_NM_FOR_TARGET@,$(NM_FOR_TARGET),;t t
s,@MAINTAINER_MODE_TRUE@,#,;t t
s,@MAINTAINER_MODE_FALSE@,,;t t
s,@MAINT@,#,;t t
s,@stage1_cflags@,-g,;t t
s,@stage1_checking@,--enable-checking,;t t
s,@stage2_werror_flag@,,;t t
s,@datarootdir@,${prefix}/share,;t t
s,@docdir@,${datarootdir}/doc,;t t
s,@pdfdir@,${docdir},;t t
s,@htmldir@,${docdir},;t t
s,@LIBOBJS@,,;t t
s,@LTLIBOBJS@,,;t t
/@serialization_dependencies@/r serdep.tmp
s,@serialization_dependencies@,,;t t
/@host_makefile_frag@/r ./config/mh-solaris
s,@host_makefile_frag@,,;t t
/@target_makefile_frag@/r /dev/null
s,@target_makefile_frag@,,;t t
/@alphaieee_frag@/r /dev/null
s,@alphaieee_frag@,,;t t
/@ospace_frag@/r /dev/null
s,@ospace_frag@,,;t t
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag)
>$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
{ if $as_mkdir_p; then
mkdir -p "$ac_dir"
else
as_dir="$ac_dir"
as_dirs=
while test ! -d "$as_dir"; do
as_dirs="$as_dir $as_dirs"
as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$as_dir" : 'X\(//\)[^/]' \| \
X"$as_dir" : 'X\(//\)$' \| \
X"$as_dir" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
done
test ! -n "$as_dirs" || mkdir $as_dirs
fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\""
>&5
echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
{ (exit 1); exit 1; }; }; }
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
ac_dir_suffix= ac_top_builddir=
fi
case $srcdir in
.) # No --srcdir option. We are building in place.
ac_srcdir=.
if test -z "$ac_top_builddir"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* ) # Absolute path.
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
# Do not use `cd foo && pwd` to compute absolute paths, because
# the directories may not exist.
case `pwd` in
.) ac_abs_builddir="$ac_dir";;
*)
case "$ac_dir" in
.) ac_abs_builddir=`pwd`;;
[\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
*) ac_abs_builddir=`pwd`/"$ac_dir";;
esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_builddir=${ac_top_builddir}.;;
*)
case ${ac_top_builddir}. in
.) ac_abs_top_builddir=$ac_abs_builddir;;
[\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
*) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
esac;;
esac
case $ac_abs_builddir in
.) ac_abs_srcdir=$ac_srcdir;;
*)
case $ac_srcdir in
.) ac_abs_srcdir=$ac_abs_builddir;;
[\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
*) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_srcdir=$ac_top_srcdir;;
*)
case $ac_top_srcdir in
.) ac_abs_top_srcdir=$ac_abs_builddir;;
[\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
*) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
esac;;
esac
case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
if test x"$ac_file" = x-; then
configure_input=
else
configure_input="$ac_file. "
fi
configure_input=$configure_input"Generated from `echo $ac_file_in |
sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input
file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo "$f";;
*) # Relative
if test -f "$f"; then
# Build tree
echo "$f"
elif test -f "$srcdir/$f"; then
# Source tree
echo "$srcdir/$f"
else
# /dev/null tree
{ { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
sed "/^[ ]*VPATH[ ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:address@hidden@:*/:/;
s/^\([^=]*=[ ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[ ]*$//;
}
/address@hidden build-libiberty$/d
/address@hidden build-libiberty$/d
/address@hidden build-libiberty-no-bootstrap$/d
/address@hidden build-libiberty-no-bootstrap$/d
/address@hidden intl$/d
/address@hidden intl$/d
/address@hidden intl-no-bootstrap$/d
/address@hidden intl-no-bootstrap$/d
/address@hidden libiberty$/d
/address@hidden libiberty$/d
/address@hidden libiberty-no-bootstrap$/d
/address@hidden libiberty-no-bootstrap$/d
/address@hidden opcodes$/d
/address@hidden opcodes$/d
/address@hidden opcodes-no-bootstrap$/d
/address@hidden opcodes-no-bootstrap$/d
/address@hidden bfd$/d
/address@hidden bfd$/d
/address@hidden bfd-no-bootstrap$/d
/address@hidden bfd-no-bootstrap$/d
/address@hidden binutils$/d
/address@hidden binutils$/d
/address@hidden binutils-no-bootstrap$/d
/address@hidden binutils-no-bootstrap$/d
/address@hidden gas$/d
/address@hidden gas$/d
/address@hidden gas-no-bootstrap$/d
/address@hidden gas-no-bootstrap$/d
/address@hidden ld$/d
/address@hidden ld$/d
/address@hidden ld-no-bootstrap$/d
/address@hidden ld-no-bootstrap$/d
/address@hidden gprof$/d
/address@hidden gprof$/d
/address@hidden gprof-no-bootstrap$/d
/address@hidden gprof-no-bootstrap$/d
/address@hidden etc$/d
/address@hidden etc$/d
/address@hidden etc-no-bootstrap$/d
/address@hidden etc-no-bootstrap$/d
/address@hidden /,/address@hidden /d
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@abs_srcdir@,$ac_abs_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
s,@builddir@,$ac_builddir,;t t
s,@abs_builddir@,$ac_abs_builddir,;t t
s,@top_builddir@,$ac_top_builddir,;t t
s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
s,@INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done
{ (exit 0); exit 0; }
- binutils-2.18 on Solaris 2.6 - ld_elf32_sparc_emulation,
Gary E. Barnes <=